%%
% --------Realistic experiment-----
% ---------------------------------

clear;
clc;

fprintf('\n \n ------ Running realistic experiment on the unstained specimen [Figure 2] ------\n ');

X = imread('Tv9.jpg');
X = imresize(X,0.5);

[x y z] = size(X);
disp('Image loaded ...');

d = 1; %dimensionality of subspace
L = 6; %number of clusters 
D_ekm = d*L;

X_1 = reshape(X(:,:,1), 1,x*y); %first color for every pixel
X_2 = reshape(X(:,:,2), 1,x*y); %second color for every pixel
X_3 = reshape(X(:,:,3), 1,x*y); %third color for every pixel
image_data = double([X_1; X_2; X_3]);

idx = FELRSC(image_data, D_ekm);

%visualization
It=eye(D_ekm);
SH=It(:,idx);

for i=1:6
figure
imagesc(reshape(SH(i,:),x,y))
colormap('gray')
end